Operator-to-operator (legacy interop)
Query charge-point information (legacy)
Legacy interface (§3 of the v1.3 spec). Implemented by the charging operator and called by a peer “data-demander” platform. PascalCase request and response fields, PUT method.
PUT
/
customer
/
query_station_info
Query charge-point information (legacy)
curl --request PUT \
--url https://api.telluspower.example.com/v1/customer/query_station_info \
--header 'Content-Type: application/json' \
--data '
{
"LastQueryTime": "2024-01-08 15:30:00",
"PageNo": 3,
"PageSize": 20
}
'import requests
url = "https://api.telluspower.example.com/v1/customer/query_station_info"
payload = {
"LastQueryTime": "2024-01-08 15:30:00",
"PageNo": 3,
"PageSize": 20
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({LastQueryTime: '2024-01-08 15:30:00', PageNo: 3, PageSize: 20})
};
fetch('https://api.telluspower.example.com/v1/customer/query_station_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"PageNo": 123,
"PageCount": 123,
"ItemSize": 123,
"ChargePoints": [
{
"ChargeBoxId": "<string>",
"CreateTime": "<string>",
"Type": "DC",
"Power": 2,
"Longitude": 0,
"Latitude": 0,
"Connectors": [
{
"ConnectorId": 1,
"Status": "Available"
}
]
}
]
}⌘I
Query charge-point information (legacy)
